mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Sascha Hauer <s.hauer@pengutronix.de>
To: ptxdist@pengutronix.de
Cc: mol@pengutronix.de, mkl@pengutronix.de
Subject: [ptxdist] [PATCH 1/7] ptxdist: Add list-packages command
Date: Wed, 26 Feb 2014 15:13:15 +0100	[thread overview]
Message-ID: <1393424001-26060-1-git-send-email-s.hauer@pengutronix.de> (raw)

This adds a command to list all packages currently selected. ptxdist
gurus can use 'ptxdist print PACKAGES' for the same purpose, this command
is for the people who can't remember the command. As a bonus list-packages
prints one package per line and sorts them alphabetically.

Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
---
 bin/ptxdist | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/bin/ptxdist b/bin/ptxdist
index 663c41e..b2c2e7a 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -898,6 +898,7 @@ Misc:
   nfsroot			run a userspace NFS server and export the nfsroot
   print <var>			print the contents of a variable, in the way
 				it is known by "make"
+  list-packages			print a list of all selected packages
   bash				enter a ptxdist environment bash shell
   bash <cmd> [args...]		execute <cmd> in ptxdist environment
   export_src <target dir>	export all source archives needed for this
@@ -1804,6 +1805,13 @@ EOF
 			ptxd_make_log "${images[@]}"
 			exit
 			;;
+		list-packages)
+			check_config || return
+			check_deps
+			( for i in $(ptxd_make_log "print-PACKAGES");
+				do echo $i
+			done ) | sort
+			;;
 		make)
 			check_premake_compiler &&
 			ptxd_make_log "${@}"
-- 
1.8.5.3


-- 
ptxdist mailing list
ptxdist@pengutronix.de

             reply	other threads:[~2014-02-26 14:13 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-02-26 14:13 Sascha Hauer [this message]
2014-02-26 14:13 ` [ptxdist] [PATCH 2/7] ptxdist: Add local-src command Sascha Hauer
2014-02-28 13:48   ` Alexander Dahl
2014-02-28 14:01     ` Sascha Hauer
2014-02-28 14:47       ` Uwe Kleine-König
2014-02-28 14:58       ` Juergen Beisert
2014-02-28 15:54       ` Alexander Dahl
2014-02-26 14:13 ` [ptxdist] [PATCH 3/7] barebox: Add optional dependency to host-libusb Sascha Hauer
2014-02-26 14:13 ` [ptxdist] [PATCH 4/7] barebox: Only install defaultenv file if it exists Sascha Hauer
2014-02-26 14:13 ` [ptxdist] [PATCH 5/7] add ptxsudo alias to ptxdist bash Sascha Hauer
2014-02-26 14:13 ` [ptxdist] [PATCH 6/7] Add dfu-util rules for host Sascha Hauer
2014-02-26 14:13 ` [ptxdist] [PATCH 7/7] dfu-util: version bump to 0.7 Sascha Hauer
2014-02-26 16:30 ` [ptxdist] [PATCH 1/7] ptxdist: Add list-packages command Alexander Dahl
2014-02-27  8:48   ` Sascha Hauer
2014-03-06 17:52 ` Michael Olbrich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1393424001-26060-1-git-send-email-s.hauer@pengutronix.de \
    --to=s.hauer@pengutronix.de \
    --cc=mkl@pengutronix.de \
    --cc=mol@pengutronix.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox